summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/nft-f/0020jump_variable_1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/nft-f/0020jump_variable_1')
-rwxr-xr-xtests/shell/testcases/nft-f/0020jump_variable_120
1 files changed, 20 insertions, 0 deletions
diff --git a/tests/shell/testcases/nft-f/0020jump_variable_1 b/tests/shell/testcases/nft-f/0020jump_variable_1
new file mode 100755
index 00000000..f753058f
--- /dev/null
+++ b/tests/shell/testcases/nft-f/0020jump_variable_1
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+# Tests use of variables in jump statements
+
+set -e
+
+RULESET="
+define dest = *
+
+table ip foo {
+ chain bar {
+ jump \$dest
+ }
+
+ chain ber {
+ }
+}"
+
+$NFT -f - <<< "$RULESET" && exit 1
+exit 0